<div *ngIf="loading">
  <app-loader></app-loader>
</div>
<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card card-accent-success">
        <div class="card-header">
          <h4 class="card-title mb-0 font-weight-bold">DAFTAR KEGIATAN</h4>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-sm-4">
              <div class="input-group">
                <div class="input-group-prepend">
                  <div class="input-group-text"><i class="fa fa-search"></i> </div>
                  <input id="appendedInputButton" [(ngModel)]="filterText" class="form-control" type="text" placeholder="Pencarian...">
                </div>
              </div>
            </div>
            <!--<div class="col-sm-1 pl-0 pr-0">-->
              <!--<button class="btn btn-success"  (click)="doGetListKonten()"><i class="fa fa-search"></i> Cari</button>-->
            <!--</div>-->
            <div class="col-sm-5"></div>
            <div class="col-sm-3">
              <button class="pull-right btn btn-success" data-toggle="modal" (click)="doOpenFormAdd(); addModal.show();">
                <i class="icon-plus"></i> Tambah Kegiatan Baru</button>
            </div>
          </div><br>
          <div *ngIf="listKonten | filter: filterText as list">
            <table class="table table-bordered table-striped table-sm table-responsive-sm">
              <thead>
              <tr class="font-xs">
                <th class="text-center align-middle" style="width: 3%">#</th>
                <th class="text-center align-middle"  style="width: 10%" (click)="sort('kodeKategori')">Kode Konten
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'kodeKategori',
                                    'fa-sort-asc': (column == 'kodeKategori' && isDesc),
                                    'fa-sort-desc': (column == 'kodeKategori' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle"  style="width: 10%" (click)="sort('namaKategori')">Jenis Konten
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'namaKategori',
                                    'fa-sort-asc': (column == 'namaKategori' && isDesc),
                                    'fa-sort-desc': (column == 'namaKategori' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 25%" (click)="sort('namaKonten')">Nama Konten
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'namaKonten',
                                    'fa-sort-asc': (column == 'namaKonten' && isDesc),
                                    'fa-sort-desc': (column == 'namaKonten' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 25%" (click)="sort('keterangan')">Keterangan
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'keterangan',
                                    'fa-sort-asc': (column == 'keterangan' && isDesc),
                                    'fa-sort-desc': (column == 'keterangan' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 7%">Aksi</th>
              </tr>
              </thead>
              <tbody *ngIf="!listKonten || listKonten.length===0 || list.length===0">
              <tr>
                <td colspan="6" class="text-center">Tidak Ada Data</td>
              </tr>
              </tbody>
              <tbody>
              <tr class="text-center font-xs" *ngFor="let data of list | orderBy: {property: column, direction: direction}; let i=index;">
                <td>{{ (currentPage - 1) * itemsPerPage + (i + 1) }}</td>
                <td>{{ data.kodeKategori }}</td>
                <td>{{ data.namaKategori }}</td>
                <td class="text-left">{{ data.namaKonten }}</td>
                <td class="text-left">{{ data.keterangan }}</td>
                <td>
                  <button class="btn btn-success btn-sm" data-toggle="modal" (click)="setSelectedKonten(data); doOpenFormEdit(); addModal.show();"><i class="icon-pencil"></i> Edit</button>
                </td>
              </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<div bsModal #addModal="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-success" [ngClass]="{'modal-xl': isImageFound === true}" role="document" style="width: 80%;">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title"><i class="icon-pencil"></i> {{modalTitle}} Kegiatan</h4>
        <button type="button" class="close" (click)="addModal.hide()" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form action="" method="post" class="form-horizontal" [formGroup]="formBuilder">
          <div class="row">
            <div [ngClass]="{'col-sm-4': isImageFound === true, 'col-sm-12': isImageFound === false}">
              <div class="row">
                <div class="col-sm-12">
                  <label class="col-form-label">Kode Konten</label>
                  <input type="text" id="kodeKonten" class="form-control" formControlName="kodeKategori" placeholder="Kode Konten" readonly>
                </div>
              </div>
              <div class="row">
                <div class="col-sm-12">
                  <label class="col-form-label">Jenis Konten</label>
                  <input type="text" id="jenisKonten" class="form-control" formControlName="namaKategori" placeholder="Jenis Konten">
                </div>
              </div>
              <div class="row">
                <div class="col-sm-12">
                  <label class="col-form-label">Nama Konten</label>
                  <textarea rows="3" id="namaKonten" class="form-control" formControlName="namaKonten" placeholder="Nama Konten"></textarea>
                </div>
              </div>
              <div class="row">
                <div class="col-sm-12">
                  <label class="col-form-label">Keterangan</label>
                  <textarea rows="5" id="keterangan" class="form-control" formControlName="keterangan" placeholder="Keterangan"></textarea>
                </div>
              </div>
              <div class="row">
                <div class="col-sm-12">
                  <label class="col-form-label">{{isImageFound ? 'Update' : 'Upload'}} Gambar (.jpg)</label>
                  <input class="form-control-file" #fileUpload type="file" (change)="onImageChanged($event.target.files)" accept="image/jpeg">
                </div>
              </div>
            </div>
            <div class="col-sm-8" *ngIf="isImageFound">
              <div class="row">
                <div class="col-sm-12">
                  <img [src]="linkURL"
                       (error)="updateImageActive()" style="max-width:100%; max-height:100%;">
                </div>
              </div>
              <div class="row">
                <div class="col-sm-12 mt-2">
                  <a [href]="linkURL" class="btn btn-success btn-sm pull-right"
                     target="_blank" download>Download</a>
                </div>
              </div>
            </div>
          </div>
        </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" (click)="addModal.hide()">Tutup</button>
        <button type="button" class="btn btn-success" (click)="addModal.hide(); submit()" [disabled]="formBuilder.invalid">
          <i class="fa fa-save"></i> Submit</button>
      </div>
    </div>
  </div>
</div>

